Assign a distribution details to an achievement
curl --request POST \
--url https://{subdomain}.nudj.cx/api/v2/admin/achievements/{achievementId}/distribution \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"rewardsConfig": {
"amountToDistribute": 1,
"allocations": [
{
"amountToDistribute": 2,
"rewardId": "<string>",
"id": "<string>",
"supply": 1
}
]
},
"pointsToDistribute": 1,
"bonusXpToDistribute": 1
}
'import requests
url = "https://{subdomain}.nudj.cx/api/v2/admin/achievements/{achievementId}/distribution"
payload = {
"rewardsConfig": {
"amountToDistribute": 1,
"allocations": [
{
"amountToDistribute": 2,
"rewardId": "<string>",
"id": "<string>",
"supply": 1
}
]
},
"pointsToDistribute": 1,
"bonusXpToDistribute": 1
}
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rewardsConfig: {
amountToDistribute: 1,
allocations: [{amountToDistribute: 2, rewardId: '<string>', id: '<string>', supply: 1}]
},
pointsToDistribute: 1,
bonusXpToDistribute: 1
})
};
fetch('https://{subdomain}.nudj.cx/api/v2/admin/achievements/{achievementId}/distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pointsToDistribute": 1,
"bonusXpToDistribute": 1,
"rewardsConfig": {
"amountToDistribute": 1,
"allocations": [
{
"id": "<string>",
"supply": 1,
"amountToDistribute": 2,
"distributed": 1,
"isLive": true,
"rewardId": "<string>"
}
]
},
"achievementId": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Achievement
Assign a distribution details to an achievement
Assign a distribution details to an achievement.
POST
/
achievements
/
{achievementId}
/
distribution
Assign a distribution details to an achievement
Authorizations
Path Parameters
The id of the achievement to assign distribution details to
Body
application/json
Response
Successful response
The amount of points to distribute.
Required range:
x >= 0The amount of bonus xp to distribute
Required range:
x >= 0Show child attributes
Show child attributes
The id of the achievement with assigned distribution details
Was this page helpful?
⌘I

